Bug 1377837 (CVE-2016-7466) - CVE-2016-7466 Qemu: usb: xhci memory leakage during device unplug
Summary: CVE-2016-7466 Qemu: usb: xhci memory leakage during device unplug
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1377838 1378649 1378650 1378651 1378652 1378653 1378654 1475739
Blocks: 1377819
TreeView+ depends on / blocked
 
Reported: 2016-09-20 18:17 UTC by Prasad J Pandit
Modified: 2019-09-29 13:57 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A memory-leak flaw was found in the Quick Emulator(QEMU) built with USB xHCI controller emulation support. The flaw could occur while doing a USB-device unplug operation. Unplugging the device repeatedly resulted in leaking host memory, which affected other services on the host. A privileged user inside the guest could exploit this flaw to cause a denial of service on the host or potentially crash the host's QEMU process instance.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2016-09-20 18:17:10 UTC
Quick Emulator(Qemu) built with the USB xHCI controller emulation support is
vulnerable to a memory leakage issue. It could occur while doing a USB device
unplug operation; Doing so repeatedly would result in leaking host memory,
affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS on the host
and/or potentially crash the Qemu process instance on the host.

Upstream patch:
---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg02773.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/19/8

Comment 1 Prasad J Pandit 2016-09-20 18:17:49 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-09-20 18:18:56 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1377838]

Comment 10 errata-xmlrpc 2017-08-02 00:57:04 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 11 errata-xmlrpc 2017-08-02 04:45:55 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.